# DigiDargah Crypto Payment Gateway for Prestashop

## Table of Contents

- [Description](#description)
- [Installation](#installation)
- [Configuration](#configuration)
- [Usage](#usage)
- [Contributing](#contributing)
- [Troubleshooting](#troubleshooting)
- [License](#license)
- [Contact Information](#contact-information)
- [Changelog](#changelog)

---

## Description

The DigiDargah Crypto Payment Gateway for Prestashop is a plugin that integrates the DigiDargah cryptocurrency payment gateway into your Prestashop e-commerce website. With this plugin, you can accept cryptocurrency payments from your customers, offering them an additional payment option.

- **Plugin Name:** DigiDargah Crypto Payment Gateway for PrestaShop
- **Version:** 1.1
- **Author:** DigiDargah.com
- **Author URI:** [https://digidargah.com](https://digidargah.com)
- **Author Email:** info@digidargah.com
- **Text Domain:** DigiDargah_prestashop_payment_module
- **WC tested up to:** 8.1
- **Copyright (C):** 2020 DigiDargah
- **License:** [GPLv3 or later](http://www.gnu.org/licenses/gpl-3.0.html)

---

## Installation

1. Upload the `digidargah` folder to the `modules` directory of your Prestashop installation.
2. Log in to your Prestashop admin panel.
3. Navigate to the "Modules and Services" section.
4. Search for "DigiDargah" in the modules list and click the "Install" button.

---

## Configuration

1. After installation, go to the "Modules and Services" section in your Prestashop admin panel.
2. Search for "DigiDargah" and click on it to configure the settings.
3. Configure the following options:
   - API Key: Enter your DigiDargah API key.
   - Payable Currencies: Specify the currencies you want to accept for payments. You can enter multiple currencies separated by dashes (e.g., bitcoin-dogecoin-ethereum).
   - Successful Payment Message: Customize the message displayed to customers after a successful payment. You can use placeholders like `{cart_id}` and `{request_id}` to display order-specific information.
   - Failed Payment Message: Customize the message displayed to customers if a payment fails. You can use placeholders like `{cart_id}` and `{request_id}` to display order-specific information.
4. Click the "Save" button to save your settings.

---

## Usage

Once the DigiDargah plugin is installed and configured, customers will see "پرداخت رمز ارزی با دیجی درگاه" (Pay with DigiDargah) as a payment option during the checkout process. They can select this option to complete their purchase using cryptocurrencies.

---

## Contributing

If you want to contribute to this project or report issues, please visit the GitHub repository: [DigiDargah Crypto Payment Gateway for PrestaShop](https://github.com/hanifzekri/DigiDargah_prestashop_payment_module).

---

## Troubleshooting

If you encounter any issues or have questions about the DigiDargah Crypto Payment Gateway for PrestaShop, please refer to the [official documentation](https://digidargah.com) or contact our support team at [info@digidargah.com](mailto:info@digidargah.com).

---

## License

This project is licensed under the GPLv3 or later. See the [GNU General Public License](http://www.gnu.org/licenses/gpl-3.0.html) for more details.

---

## Contact Information

If you have any questions or need assistance, please contact us at [info@digidargah.com](mailto:info@digidargah.com).

---

## Changelog

- 1.1, feb 18, 2023
Bugs fixed

- 1.0, jan 15, 2023
First release.

---

Thank you for using the DigiDargah Crypto Payment Gateway for PrestaShop! We appreciate your business.

---

*Copyright (C) 2020 DigiDargah*
